Name: vbrun6
Description: Microsoft Visual Basic 6 Runtime SP6
Provider: Microsoft
License: Microsoft EULA
License_url: https://www.microsoft.com/web/webpi/eula/net_library_eula_enu.htm
Dependencies: []
Steps:
- action: download_archive
  file_name: VB6.0-KB290887-X86.exe
  url: https://lon-01.dlo4d.com/files/visual-basic-runtime-files/VB6.0-KB290887-X86.exe
  file_checksum: ef5b83c4cc60e246bf627d85f6d7397b
  file_size: 1064736

- action: get_from_cab
  source: VB6.0-KB290887-X86.exe
  file_name: vbrun60sp6
  dest: temp/vbrun60sp6/

- action: get_from_cab
  file_name: asycfilt.dll
  source: vbrun60sp6/vbrun60sp6.exe
  dest: win32

- action: get_from_cab
  file_name: comcat.dll
  source: vbrun60sp6/vbrun60sp6.exe
  dest: win32

- action: get_from_cab
  file_name: msvbvm60.dll
  source: vbrun60sp6/vbrun60sp6.exe
  dest: win32

- action: get_from_cab
  file_name: oleaut32.dll
  source: vbrun60sp6/vbrun60sp6.exe
  dest: win32

- action: get_from_cab
  file_name: olepro32.dll
  source: vbrun60sp6/vbrun60sp6.exe
  dest: win32
  
- action: get_from_cab
  file_name: stdole2.tlb
  source: vbrun60sp6/vbrun60sp6.exe
  dest: win32
